# Interface methods for submodule: NarrowBandLevelSetImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import NarrowBandImageFilterBaseProxy as _NarrowBandImageFilterBaseProxy


# Interface methods for class: NarrowBandLevelSetImageFilter
class NarrowBandLevelSetImageFilterProxy(_NarrowBandImageFilterBaseProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetFeatureImage(self, f) -> None:
		""""""
		...

	def GetFeatureImage(self):
		""""""
		...

	def SetInitialImage(self, f) -> None:
		""""""
		...

	def GetSpeedImage(self):
		""""""
		...

	def GetAdvectionImage(self):
		""""""
		...

	def SetUseNegativeFeaturesOn(self) -> None:
		""""""
		...

	def SetUseNegativeFeaturesOff(self) -> None:
		""""""
		...

	def SetUseNegativeFeatures(self, u: bool) -> None:
		""""""
		...

	def GetUseNegativeFeatures(self) -> bool:
		""""""
		...

	def SetReverseExpansionDirection(self, _arg: bool) -> None:
		""""""
		...

	def GetReverseExpansionDirection(self) -> bool:
		""""""
		...

	def ReverseExpansionDirectionOn(self) -> None:
		""""""
		...

	def ReverseExpansionDirectionOff(self) -> None:
		""""""
		...

	def SetFeatureScaling(self, v: float) -> None:
		""""""
		...

	def SetPropagationScaling(self, v: float) -> None:
		""""""
		...

	def GetPropagationScaling(self) -> float:
		""""""
		...

	def SetAdvectionScaling(self, v: float) -> None:
		""""""
		...

	def GetAdvectionScaling(self) -> float:
		""""""
		...

	def SetCurvatureScaling(self, v: float) -> None:
		""""""
		...

	def GetCurvatureScaling(self) -> float:
		""""""
		...

	def SetSegmentationFunction(self, s) -> None:
		""""""
		...

	def GetSegmentationFunction(self):
		""""""
		...

	def SetMaximumIterations(self, i: int) -> None:
		""""""
		...

	def GetMaximumIterations(self) -> int:
		""""""
		...

	def SetMaximumRMSError(self, arg0: float) -> None:
		""""""
		...

